using System.Collections.Generic;
using System.Threading.Tasks;

namespace Ewide.Core.Service.Notice
{
    public interface ISysNoticeUserService
    {
        Task Add(string noticeId, List<string> noticeUserIdList, int noticeUserStatus);
        Task<List<SysNoticeUser>> GetNoticeUserListByNoticeId(string noticeId);
        Task Read(string noticeId, string userId, int status);
        Task Update(string noticeId, List<string> noticeUserIdList, int noticeUserStatus);
    }
}